﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace SampleeGrid
{
    class StoreViewModel : INotifyPropertyChanged
    {
        #region PROPERTIES
        private ObservableCollection<StoreLists> storeLists;
        public ObservableCollection<StoreLists> StoreLists
        {
            get
            {
                return storeLists;
            }
            set
            {
                storeLists = value;
                OnPropertyChanged();
            }
        }

        private List<String> category;
        public List<string> Category
        {
            get
            {
                return new List<string> { "Adventure", "Comics", "Fiction", "Biography", "Humour", "Science", "Crime", "Magazine", "Literature" };
            }
            set
            {
                category = value;
                OnPropertyChanged();
            }
        }
        #endregion

        //public List<string> SelectedList
        //{
        //    get { return Category; }
        //    set { Category = value; OnPropertyChanged(); }
        //}

        #region CTOR
        /// <summary>
        /// Initializes a new instance of the <see cref="StoreViewModel"/> class.
        /// </summary>
        public StoreViewModel()
        {
            StoreLists = new StoreListRepository();
        }
        #endregion

        #region INOTIFYPROPERTYCHANGED
        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }
}